Loading...
Searching...
No Matches
impl-link.h File Reference
Implementation API » Link Impl

pipewire/impl-link.h More...

Go to the source code of this file.

## Data Structures

struct | pw_impl_link_events
| link events added with pw_impl_link_add_listener More...

## Macros

#define | PW_VERSION_IMPL_LINK_EVENTS 0

## Functions

struct pw_impl_link * | pw_context_create_link (struct pw_context *context, struct pw_impl_port *output, struct pw_impl_port *input, struct spa_pod *format_filter, struct pw_properties *properties, size_t user_data_size)
| Make a new link between two ports.
void | pw_impl_link_destroy (struct pw_impl_link *link)
| Destroy a link.
void | pw_impl_link_add_listener (struct pw_impl_link *link, struct spa_hook *listener, const struct pw_impl_link_events *events, void *data)
| Add an event listener to link.
int | pw_impl_link_register (struct pw_impl_link *link, struct pw_properties *properties)
| Finish link configuration and register.
struct pw_context * | pw_impl_link_get_context (struct pw_impl_link *link)
| Get the context of a link.
void * | pw_impl_link_get_user_data (struct pw_impl_link *link)
| Get the user_data of a link, the size of the memory is given when constructing the link.
const struct pw_link_info * | pw_impl_link_get_info (struct pw_impl_link *link)
| Get the link info.
struct pw_global * | pw_impl_link_get_global (struct pw_impl_link *link)
| Get the global of the link.
struct pw_impl_port * | pw_impl_link_get_output (struct pw_impl_link *link)
| Get the output port of the link.
struct pw_impl_port * | pw_impl_link_get_input (struct pw_impl_link *link)
| Get the input port of the link.
struct pw_impl_link * | pw_impl_link_find (struct pw_impl_port *output, struct pw_impl_port *input)
| Find the link between 2 ports.

## Detailed Description

pipewire/impl-link.h